<?php

  session_start();
  include('../../../php/conn_2.php');
  if(!isset($_SESSION["id"])){
    header('Location: index.php');
  }

  mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
  mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");

  // Asigna mes por defecto cuando venga vacío
  $filtro_mes = '';

  // Obtiene todos los parámetros por defecto
  if($_GET["mes"] == 'null'){
  	// Nombre de tabla de resultados
    $query = "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)) {
      if (mysqli_num_rows($res) > 0) {
        while($row = mysqli_fetch_assoc($res)) {
          $nom_tabla = $row["tabla_encuesta"];
        }
      }
    }

    // Encuesta
    $query = "SELECT cod_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_encuesta = $row["cod_encuesta"];
      };
    }

	// Último año con datos
    $query = "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate) ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_anho = $row["Anho"];
      };
    }

    // Último mes con datos
    $query = "SELECT cod_mes FROM ".$nom_tabla." WHERE submitdate IS NOT NULL AND cod_anho = ".$filtro_anho." GROUP BY cod_mes ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_mes = $row["cod_mes"];
      };
    }

	$filtro_filtros = '';
  }
  else{
  	$nom_tabla = $_GET["tabla_resultados"];

  	$filtro_encuesta = $_GET["cod_encuesta"];
  	$filtro_anho = $_GET["anho"];
  	$filtro_mes = $_GET["mes"];
  	$filtro_filtros = $_GET["filtros"];
  }

  // Arma los filtros
  if(isset($filtro_filtros)){
    if(strlen($filtro_filtros) > 0){
      $filtros = " AND ".$filtro_filtros;

      $filtros = str_replace("$", " ", $filtros);
    }
  }

?>

<!DOCTYPE html>
<html lang="es">
  <head>

  </head>

  <body>
    <div class="">
      <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">

          <?php

            // Obtiene grupos de avance
            $query = "SELECT Id, titulo_avancecampo, cod_pregunta FROM tb_config_AvanceCampo WHERE cod_anho = ".$filtro_anho." AND cod_mes = ".$filtro_mes." AND cod_encuesta = ".$filtro_encuesta." AND estado_avancecampo = 'A' ORDER BY orden_avancecampo";

            if ($resultado = mysqli_query($enlace, $query)) {
              if (mysqli_num_rows($resultado) > 0) {
                while($row = mysqli_fetch_assoc($resultado)) {
                  echo '<div class="col-md-12 col-sm-12 col-xs-12">';
                    echo '<div class="x_panel">';
                      // Arma los títulos para los grupos de avance
                      echo '<div class="x_title">';
                        echo '<h2 style="font-size: 13px">';
                          echo $row["titulo_avancecampo"];
                        echo '</h2>';

                        echo '<div class="clearfix"></div>';
                      echo '</div>';

                      echo '<div class="x_content">';
                        //Arma los campos de cabecera
                        echo '<div class="row" style="margin:10px;">';
                          echo '<div class="col-md-2 col-sm-12 col-xs-12">';

                          echo '</div>';

                          echo '<div class="col-md-2 col-sm-12 col-xs-12" style="background-color:rgb(92,184,92)">';
                            echo '<center><h2 style="font-size: 18px"><span class="label label-success">Muestra Objetivo</span></h2></center>';
                          echo '</div>';

                          echo '<div class="col-md-2 col-sm-12 col-xs-12" style="background-color:rgb(51,122,183)">';
                            echo '<center><h2 style="font-size: 18px"><span class="label label-primary">Muestra Realizada</span></h2></center>';
                          echo '</div>';

                          echo '<div class="col-md-2 col-sm-12 col-xs-12" style="background-color:rgb(217,83,79)">';
                            echo '<center><h2 style="font-size: 18px"><span class="label label-danger">Muestra Pendiente</span></h2></center>';
                          echo '</div>';

                          echo '<div class="col-md-4 col-sm-12 col-xs-12" style="background-color:rgb(240,173,78)">';
                            echo '<center><h2 style="font-size: 18px"><span class="label label-warning">Cumplimiento</span></h2></center>';
                          echo '</div>';
                        echo '</div>';

                        //Inserta detalles
                        $query = "SELECT cod_alternativa, etiqueta_alternativa, meta_alternativa, color_alternativa FROM tb_config_AvanceCampoPersonalizado WHERE cod_avancecampo = ".$row["Id"]." ORDER BY orden_alternativa";

                          if ($res_det = mysqli_query($enlace, $query)) {
                            if (mysqli_num_rows($res_det) > 0) {
                              while($row_det = mysqli_fetch_assoc($res_det)) {
                                echo '<div class="row" style="margin:5px;">';
                                  // Campo 1
                                  echo '<div class="col-md-2 col-sm-12 col-xs-12">';
                                    echo '<b>'.$row_det["etiqueta_alternativa"].'</b>';
                                  echo '</div>';

                                  // Campo 2
                                  echo '<div class="col-md-2 col-sm-12 col-xs-12">';
                                    echo '<center>'.$row_det["meta_alternativa"].'</center>';
                                  echo '</div>';

                                  // Campo 3: Obtiene conteos
                                  echo '<div class="col-md-2 col-sm-12 col-xs-12">';
                                    echo '<center>';

                                      $query = "SELECT COUNT(".$row["cod_pregunta"].") AS num_rows FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." AND ".$row["cod_pregunta"]." = '".$row_det["cod_alternativa"]."' ";

                                      if ($res_count = mysqli_query($enlace, $query)) {
                                        if (mysqli_num_rows($res_count) > 0) {
                                          while($row_count = mysqli_fetch_assoc($res_count)) {
                                            $count = $row_count["num_rows"];
                                          }
                                        }
                                        mysqli_free_result($res_count);
                                      }

                                      echo $count;

                                    echo '</center>';
                                  echo '</div>';

                                  // Campo 4: Obtiene diferencias
                                  $diferencias = $row_det["meta_alternativa"] - $count;

                                  echo '<div class="col-md-2 col-sm-12 col-xs-12">';
                                    echo '<center>';
                                      echo $diferencias;
                                    echo '</center>';
                                  echo '</div>';

                                  // Campo 5: Carga Progressbar
                                  $cumplimiento = round(($count / $row_det["meta_alternativa"]) * 100);

                                  echo '<div class="col-md-4 col-sm-12 col-xs-12">';
                                    echo '<div class="col-xs-12 bg-white progress_summary">';
                                      // Carga Progressbar
                                      echo '<div class="col-xs-10">';
                                        echo '<div class="progress progress_sm active">';
                                          echo '<div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="'.$cumplimiento.'" style="width: '.$cumplimiento.'%; background-color:'.$row_det["color_alternativa"].';" data-transitiongoal="'.$cumplimiento.'"></div>';
                                        echo '</div>';
                                      echo '</div>';

                                      // Pinta porcentaje
                                      echo '<div class="col-xs-2 more_info">';
                                        echo '<span>';
                                          echo $cumplimiento."%";
                                        echo '</span>';
                                      echo '</div>';
                                    echo '</div>';
                                  echo '</div>';
                                echo '</div>';
                              }
                            }
                            mysqli_free_result($res_det);
                          }
                      echo '</div>';
                    echo '</div>';
                  echo '</div>';
                }
              }
              mysqli_free_result($resultado);
            }
          ?>

        </div>
      </div>
    </div>
  </body>
</html>

<?php
cerrarSesion($enlace);
?>
